import React, { useState, useEffect } from 'react';
import { json } from 'd3';

import { feature, mesh } from 'topojson'
// function to fetch data from github
const jsonUrl =
  'https://gist.githubusercontent.com/patrictysk/18eeed08e299ff488727f8dbaca4652f/raw/0f4996640359df70e01e6c5ca80314b4db427816/simplified_swedish_counties.json';

export const useData = () => {
  const [data, setData] = useState(null);
  
  console.log(data)
  
  useEffect(() => {
    json(jsonUrl).then(topojsonData => {
      setData(
        {
          laen: feature(topojsonData, topojsonData.objects['laen.geo']),
        	interiors: mesh(topojsonData, topojsonData.objects['laen.geo'], (a, b) => a !== b)
        })  
    });
  }, []);
  
  return data;
};